### Function

# Fwupd version_format_from_string

since: 1.2.9

#### Declaration [src]

    FwupdVersionFormat
    fwupd_version_format_from_string (
      const gchar* str
    )

#### Description [src]

Converts text to a display version type.

Available since: 1.2.9

#### Parameters

`str`

  Type: `const gchar*`

  A string, e.g. `quad`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FwupdVersionFormat`

An enumerated version format, e.g. `FWUPD_VERSION_FORMAT_TRIPLET`.